Subject: Re: bug#22927: system-installed emacs does not find system-installed fonts

From: [email-masked] (Ludovic Courtès)
Date: Sat, 02 Apr 2016 19:29:50 +0200

Alex Kost <[email-masked]> skribis:

> myglc2 (2016-03-06 21:57 +0300) wrote:
>
>> Not technically not a bug because the doc says ...
>>
>> 2.6.2 X11 Fonts
>>
>> The ‘fontconfig’ package in Guix looks for fonts in
>> ‘$HOME/.guix-profile’ by default.  Thus, to allow graphical applications
>> installed with Guix to display fonts, you have to install fonts with
>> Guix as well.
>
> (I have not checked but) I believe this can be fixed by adding
> "/run/current-system/profile/share/fonts" to '--with-add-fonts'
> configure flag of the 'fontconfig' package.
>
> For now I think the following recipe should work:
>
> 1. Make a file "~/.config/fontconfig/fonts.conf" with the following
>    contents:
>
> <?xml version="1.0"?>
> <!DOCTYPE fontconfig SYSTEM "fonts.dtd">
> <fontconfig>
>     <dir>/run/current-system/profile/share/fonts</dir>
> </fontconfig>

Indeed.  I realize I did this independently in
e71ef7adaece7e132a5059139122b45083ea1b39.

The better fix will be to rebuild Fontconfig as you suggest.  Would you
like to try that and apply it to ‘core-updates’?

Thanks,
Ludo’.